
// ------- ATTRIBUTES (VERTEX BUFFER DATA) -------
attribute vec4		attrVertex;
attribute vec4		attrTex0UV;

// ------- UNIFORMS (SHADER CONSTS) -------
uniform mat4		hu_mPMVMatrix;
uniform mat4		hu_mMMatrix;
uniform vec3		hu_vCameraPos;

// ------- INTERPOLATORS (SHADER OUTPUTS) -------
varying vec2		v_vTex0UV;
varying float		v_fDistToCamera;

void main(void)
{
	vec4 vWorldPos = hu_mMMatrix*attrVertex;
	vec3 vDiff = vWorldPos.xyz - hu_vCameraPos;
	v_fDistToCamera = length(vDiff);

	v_vTex0UV = attrTex0UV.st;

	gl_Position = hu_mPMVMatrix*attrVertex;
}
