
// ------- ATTRIBUTES (VERTEX BUFFER DATA) -------
attribute vec4		attrVertex;
attribute vec4		attrColor;
attribute vec2		attrTex0UV;

// ------- UNIFORMS (SHADER CONSTS) -------
uniform mat4		hu_mPMVMatrix;
uniform mat4		hu_mMMatrix;
uniform float		hu_fFrameTime;
uniform vec3		hu_vCameraPos;

// ------- INTERPOLATORS (SHADER OUTPUTS) -------
varying vec2		v_vTex0UV;
varying vec2		v_vTex1UV;
varying vec2		v_vTex2UV;
varying vec2		v_vTex3UV;
varying vec4		v_vColor;
varying vec3		v_vVertexDir;

void main(void)
{
	gl_Position = hu_mPMVMatrix*attrVertex;
	v_vColor = attrColor;

	vec4 vLocalPos = hu_mMMatrix*attrVertex;
	v_vVertexDir = normalize(hu_vCameraPos - vLocalPos.xyz);

	float fTime = hu_fFrameTime;
    v_vTex0UV = (attrTex0UV/103.0)+vec2(fTime/17.0, fTime/29.0);
    v_vTex1UV = attrTex0UV/107.0-vec2(fTime/-19.0, fTime/31.0);
    v_vTex2UV = attrTex0UV/vec2(897.0, 983.0)+vec2(fTime/101.0, fTime/97.0);
    v_vTex3UV = attrTex0UV/vec2(991.0, 877.0)-vec2(fTime/109.0, fTime/-113.0);
}
